GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

          • Get Role Details
          • Assign Role
          • Revoke Role
          • Get Role Authorized Resources
          • Get Role Member List
          • Get Role Department List
          • Create Role
          • Get Role List
          • Delete Roles
          • Batch Create Roles
          • Update Role
        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Role Management

  10. /
  11. Get Role List

¶ Get the role list

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Get the role list, support paging, support filtering by permission group (permission space)

¶ Method name

ManagementClient.list_roles

¶ Request parameters

NameType
Required
Default value
Description
Sample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
keywordsstringNo-Used for fuzzy search based on role code or name, optional.admin
namespacestringNodefaultThe code of the permission group (permission space). If it is not passed, the default permission group will be obtained.default

¶ Request Response

Type: RolePaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code. This status code can be used to determine whether the operation is successful. 200 indicates success.
messagestringDescription
apiCodenumberSegmented error code. This error code can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataRolePagingDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "id": "60b49eb83fd80adb96f26e68",
      "code": "role1",
      "name": "role1",
      "description": "this is role description",
      "namespace": "default",
      "namespaceName": "demo",
      "status": "ENABLE",
      "disableTime": "1669881887852"
    }
  }
}

¶ Data Structure

¶ RolePagingDto

NameType
Is it required?
Description
Sample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: RoleDto.

¶ RoleDto

NameType
Is it required?
Description
Sample value
idstringYesRole ID60b49eb83fd80adb96f26e68
codestringYesUnique identifier of the role in the permission group (permission space) Coderole1
namestringYesRole name in the permission group (permission space)role1
descriptionstringYesRole descriptionthis is role description
namespacestringYesThe name of the permission group (permission space) to which it belongs Code, if not passed, the default permission group is obtained.default
namespaceNamestringyesThe name of the permission group (permission space)Sample permission name
statusstringnoRole status, ENABLE- means normal, DISABLE- means disabledENABLE
disableTimenumbernoRole automatic disable time, in milliseconds, if null is passed, it means permanent1669881887852
Previous article: Create Role Next article: Delete Roles
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.